Subject: [bug#30340] [PATCH 1/6] gnu: qtbase: Use the store paths for other packages and dynamically loaded libs.

From: Marius Bakke <[email-masked]>
Date: Fri, 16 Feb 2018 17:36:28 +0100

Hartmut Goebel <[email-masked]> writes:

> Am 13.02.2018 um 23:48 schrieb Marius Bakke:
>> For tzdata in particular, we are trying to reduce the number of
>> dependent packages so that we can update it directly on 'master'.  Often
>> a new tzdata release introduces changes with near-immediate effects, so
>> it's important to be able to update it fast.
>>
>> Adding it to qtbase would add 282 new dependent packages, which is
>> unfortunate.  So I much prefer using TZDIR, even though it would be
>> technically better to reference it directly.
>>
>
> IC. Should not be much of a problem to adopt the actual patch from NixOS.
>
> But I wonder: How is ensured that timezone is installed e.g. in an `guix
> environment`, if there is no dependency?

Good question.  I suppose we could add a search path for TZDIR so that
the variable gets set as long as you include tzdata in the environment.